스트림 링크 생성
curl --request POST \
--url https://api.x.com/2/tweets/search/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/tweets/search/webhooks/{webhook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/tweets/search/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"provisioned": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}필터링된 스트림 웹훅
스트림 링크 생성
지정된 웹훅으로 FilteredStream 이벤트를 전달하는 링크를 생성합니다.
POST
/
2
/
tweets
/
search
/
webhooks
/
{webhook_id}
스트림 링크 생성
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
FilteredStream 규칙 세트에 연결할 웹훅 id입니다. 이 웹훅 구성의 고유 식별자입니다.
Pattern:
^[0-9]{1,19}$예시:
"1146654567674912769"
쿼리 매개변수
표시할 Tweet 필드의 쉼표로 구분된 목록입니다.
확장에 사용할 필드의 쉼표로 구분된 목록입니다.
표시할 Media 필드의 쉼표로 구분된 목록입니다.
표시할 Poll 필드의 쉼표로 구분된 목록입니다.
표시할 User 필드의 쉼표로 구분된 목록입니다.
표시할 Place 필드의 쉼표로 구분된 목록입니다.
응답
요청이 성공적으로 처리되었습니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes